﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using TestUltraWebGridDropDowns.DAL;

namespace TestUltraWebGridDropDowns.BLL
{
    public class Customer
    {
        public Customer(int id, string name)
        {
            Id = id;
            Name = name;
        }
        public Customer()
        {
            Id = 0;
            Name = String.Empty;
        }
        public int Id { get; set; }
        public string Name { get; set; }

        public static List<Customer> GetAllCustomers()
        {
            var da = new DataAccess();
            return da.GetAllCustomers();
        }
        public static Customer GetCustomer(int id)
        {
            var da = new DataAccess();
            return da.GetCustomer(id);
        }

        public static Customer GetCustomerFromReader(SqlDataReader reader)
        {
            return new Customer(Convert.ToInt32(reader["Id"]),reader["Name"].ToString());
        }
        public static List<Customer> GetCustomerListFromReader(SqlDataReader reader)
        {
            var listToreturn = new List<Customer>();
            while (reader.Read())
            {
                listToreturn.Add(GetCustomerFromReader(reader));
            }
            return listToreturn;
        }
    }
}