﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using TestUltraWebGridDropDowns.DAL;

namespace TestUltraWebGridDropDowns.BLL
{
    public class WorkSubType
    {
        public WorkSubType(int id, int workTypeId, string name)
        {
            SubWorkTypeId = id;
            WorkTypeId = workTypeId;
            SubWorkName = name;
        }
        public WorkSubType()
        {
            SubWorkTypeId = 0;
            WorkTypeId = 0;
            SubWorkName = String.Empty;
        }
        public int SubWorkTypeId { get; set; }
        public int WorkTypeId { get; set; }
        public string SubWorkName { get; set; }

        public static List<WorkSubType> GetWorkSubTypes(int workId)
        {
            var da = new DataAccess();
            return da.GetWorkSubTypes(workId);
        }
        public static WorkSubType GetSubWorkTypeFromReader(SqlDataReader reader)
        {
            return new WorkSubType((int)reader["SubWorkType_Id"],(int)reader["WorkType_Id"],reader["SubWork_Name"].ToString());
        }
        public static List<WorkSubType> GetSubWorkTypeListFromReader(SqlDataReader reader)
        {
            var listToReturn = new List<WorkSubType>();
            while (reader.Read())
            {
                listToReturn.Add(GetSubWorkTypeFromReader(reader));
            }
            return listToReturn;
        }
    }
}