﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="TestUltraWebGridDropDowns.WebForm1" %>
<%@ Register Assembly="Infragistics4.WebUI.UltraWebGrid.v10.3, Version=10.3.20103.2120, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.WebUI.UltraWebGrid" TagPrefix="igtbl" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<script type="text/javascript" id="igClientScript">
    var celldescId;
    var cellWinner;
    function AfterCellUpdateHandler(gridName, cellId) {
        var cell1 = window.igtbl_getCellById(cellId);
        celldescId = cellId;
        var cellIndex = cell1.Column.Index;
        if (cellIndex == 1) {
            //Work Type changed so update the subworktype
            var selectedValue = cell1.getValue();
            window.PageMethods.GetSubWorkTypes(selectedValue, OnCallWorkSubTypeComplete, OnCallWorkSubTypeError);
        }
    }
    //Callback function on complete
    
    
    function BeforeEnterEditMode(tableName, cellName) 
    {
        var col = window.igtbl_getColumnById(cellName);
        if (col.Key != "SubWorkTypeId")
            return;
        var row = window.igtbl_getRowById(cellName);
        var selectedWorkType = row.getCell(1).getValue();
        
        window.PageMethods.GetSubWorkTypes(selectedWorkType, OnCallWorkSubTypeComplete, OnCallWorkSubTypeError);
    }
    function OnCallWorkSubTypeComplete(result) 
    {
        var ddlArrayContainer;
        var ddlArrayItem;
        var rowId = window.igtbl_getRowById(celldescId);
        if (rowId != null) {
            var cell = rowId.getCell(2);
            if (result.length > 0) {
                ddlArrayContainer = new Array(result.length);
                for (var iterator = 0; iterator < result.length; iterator++) {
                    ddlArrayItem = new Array(result[iterator].SubWorkName, result[iterator].SubWorkName);
                    ddlArrayContainer[iterator] = ddlArrayItem;
                }
                cell.Column.ValueList = ddlArrayContainer;

                //Set by default the selected value to the first value of the array
                cell.setValue(ddlArrayContainer[0]);
            }
        }
    }
    function OnCallWorkSubTypeError(arg) 
    {
        alert(arg.error);
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Test UltraWebGrid DropDown ValueLists</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="True">
    </asp:ScriptManager>
    <igtbl:UltraWebGrid ID="UltraWebGrid1" runat="server" Height="200px" Width="786px">
        <DisplayLayout AutoGenerateColumns="False" AllowColSizingDefault="Free" 
            AllowColumnMovingDefault="OnServer" AllowDeleteDefault="Yes" 
            AllowSortingDefault="OnClient" AllowUpdateDefault="Yes" 
            BorderCollapseDefault="Separate" HeaderClickActionDefault="SortMulti" 
            RowHeightDefault="20px" RowSelectorsDefault="No" 
            SelectTypeRowDefault="Extended" StationaryMargins="Header" 
            StationaryMarginsOutlookGroupBy="True" TableLayout="Fixed" Version="4.00" 
            ViewType="OutlookGroupBy">
            <FrameStyle BackColor="Window" BorderColor="InactiveCaption" 
                BorderStyle="Solid" BorderWidth="1px" Font-Names="Microsoft Sans Serif" 
                Font-Size="8.25pt" Height="200px" Width="786px">
            </FrameStyle>
            <ClientSideEvents AfterCellUpdateHandler="AfterCellUpdateHandler" 
                BeforeEnterEditModeHandler="BeforeEnterEditMode">
            </ClientSideEvents>
            <Pager MinimumPagesForDisplay="2">
                <PagerStyle BackColor="LightGray" BorderStyle="Solid" BorderWidth="1px">
                <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" 
                    WidthTop="1px" />
                </PagerStyle>
            </Pager>
            <EditCellStyleDefault BorderStyle="None" BorderWidth="0px">
            </EditCellStyleDefault>
            <FooterStyleDefault BackColor="LightGray" BorderStyle="Solid" BorderWidth="1px">
                <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" 
                    WidthTop="1px" />
            </FooterStyleDefault>
            <HeaderStyleDefault BackColor="LightGray" BorderStyle="Solid" 
                HorizontalAlign="Left">
                <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" 
                    WidthTop="1px" />
            </HeaderStyleDefault>
            <RowStyleDefault BackColor="Window" BorderColor="Silver" BorderStyle="Solid" 
                BorderWidth="1px" Font-Names="Microsoft Sans Serif" Font-Size="8.25pt">
                <Padding Left="3px" />
                <BorderDetails ColorLeft="Window" ColorTop="Window" />
            </RowStyleDefault>
            <GroupByRowStyleDefault BackColor="Control" BorderColor="Window">
            </GroupByRowStyleDefault>
            <GroupByBox>
                <BoxStyle BackColor="ActiveBorder" BorderColor="Window">
                </BoxStyle>
            </GroupByBox>
            <AddNewBox Hidden="False">
                <BoxStyle BackColor="Window" BorderColor="InactiveCaption" BorderStyle="Solid" 
                    BorderWidth="1px">
                    <BorderDetails ColorLeft="White" ColorTop="White" WidthLeft="1px" 
                        WidthTop="1px" />
                </BoxStyle>
            </AddNewBox>

<ActivationObject BorderColor="" BorderWidth=""></ActivationObject>
            <FilterOptionsDefault>
                <FilterDropDownStyle BackColor="White" BorderColor="Silver" BorderStyle="Solid" 
                    BorderWidth="1px" CustomRules="overflow:auto;" 
                    Font-Names="Verdana,Arial,Helvetica,sans-serif" Font-Size="11px" Height="300px" 
                    Width="200px">
                    <Padding Left="2px" />
                </FilterDropDownStyle>
                <FilterHighlightRowStyle BackColor="#151C55" ForeColor="White">
                </FilterHighlightRowStyle>
                <FilterOperandDropDownStyle BackColor="White" BorderColor="Silver" 
                    BorderStyle="Solid" BorderWidth="1px" CustomRules="overflow:auto;" 
                    Font-Names="Verdana,Arial,Helvetica,sans-serif" Font-Size="11px">
                    <Padding Left="2px" />
                </FilterOperandDropDownStyle>
            </FilterOptionsDefault>
        </DisplayLayout>
<Bands>
<igtbl:UltraGridBand>
    <Columns>
        <igtbl:UltraGridColumn BaseColumnName="CustomerId" Key="CustomerId" 
            Width="250px">
            <Header Caption="Customer">
            </Header>
        </igtbl:UltraGridColumn>
        <igtbl:UltraGridColumn BaseColumnName="WorkTypeId" Key="WorkTypeId" Width="250px">
            <Header Caption="Work Type">
                <RowLayoutColumnInfo OriginX="1" />
            </Header>
            <Footer>
                <RowLayoutColumnInfo OriginX="1" />
            </Footer>
        </igtbl:UltraGridColumn>
        <igtbl:UltraGridColumn BaseColumnName="SubWorkTypeId" Key="SubWorkTypeId" Width="250px">
            <Header Caption="Work Sub Type">
                <RowLayoutColumnInfo OriginX="2" />
            </Header>
            <Footer>
                <RowLayoutColumnInfo OriginX="2" />
            </Footer>
        </igtbl:UltraGridColumn>
    </Columns>
<AddNewRow Visible="NotSet" View="NotSet"></AddNewRow>
</igtbl:UltraGridBand>
</Bands>
    </igtbl:UltraWebGrid>
    <asp:Button runat="server" ID="btnFetchData" Text="Load Data" 
            onclick="BtnFetchDataClick"/>
    </div>
    </form>
</body>
</html>
